.sh_timeline {
    display: flex;
    flex-direction: row;
    width: inherit;
    height: inherit;
}

.sh_tm_lateral {
    width: 10%;
    /* background: #8f8f8f; */
    display: flex;
    flex-direction: column;
    /* height: inherit; */
}

.sh_tm_lateral_cabecera {
    height: 5.5rem;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    background-color: #636e72;
    border-top-left-radius: 1rem;
    padding: 0rem .5rem;
}

.sh_tm_lateral_cuerpo {
    display: flex;
    flex-direction: column;
    background-color: #dfe6e9;
    font-weight: 600;
}

.sh_tm_l_fila {
    display: flex;
    align-items: center;
    border-right: .05rem solid #b2bec3;
    border-bottom: .05rem solid #b2bec3;
    border-left: .05rem solid #b2bec3;
}

.sh_tm_l_fila:nth-child(1){
    /* border-top: .05rem solid #b2bec3; */
}

.sh_tm_l_nombre{
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    margin-left: 0.5rem;
}

.sh_tm_cabecera {
    display: flex;
    flex-direction: column;
    position: absolute;
    width: inherit;
    z-index: 2;
    background-color: #fff;
    /* border-top-right-radius: 1rem; */
    /* height: 9rem; */
    /* background-color: #6db3f2; */
}

.sh_tm_cabecera>.sh_tm_nombreMes {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 2rem;
    background-color: #636e72;
    color: #fff;
    font-size: 1.1rem;
    font-weight: 600;
    /* border-bottom: .05rem solid #8f8f8f; */
    border-left: .05rem solid #b2bec3;
    border-top-right-radius: 1rem;
}

.sh_tm_cabecera>.sh_tm_diasMes {
    display: flex;
    background-color: #636e72;
}

.sh_tm_cabecera>.sh_tm_diasMes>div {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    /* width: 100%; */
    height: 3.5rem;
    color: #fff;
    border-left: .05rem solid #b2bec3;
    /* border-bottom: .05rem solid #b2bec3; */
    border-top: .05rem solid #b2bec3;
}

.sh_tm_cabecera>.sh_tm_diasMes>div>span:nth-child(1) {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.sh_tm_cuerpo {
    display: flex;
    flex-direction: column;
    width: 90%;
    position: relative;
}

.sh_tm_reservas {
    display: flex;
    flex-direction: column;
    position: relative;
    /* margin-top: 5.5rem; */
    z-index: 1;
}

.sh_tm_reservas>.flechas {
    position: absolute;
    z-index: 4;
    width: 100%;
}

.sh_tm_fila {
    /* height: 2.5rem; */
    border: none;
    position: relative;
    z-index: 2;
    display: flex;
}

.sh_tm_fila>div {
    /* background-color: #dfe6e9; */
    background-color: inherit;
    width: 100%;
    /* height: inherit !important; */
}

.sh_tm_fila>.sh_cuadrosCuerpo {
    display: flex;
}

.sh_tm_fila>.sh_cuadrosCuerpo>div{
    border-bottom: .05rem solid #dfe6e9;
    border-right: .05rem solid #dfe6e9;
    width: 100%;
}



.sh_tm_fila>.sh_cuadrosCuerpo>div:hover {
    background-color: #ffeaa7 !important;
    cursor: pointer;
}
.sh_tm_fila>.sh_cuadrosCuerpo:hover {
    /* background-color: #dfe6e9 !important; */
    /* background-color: #f8f9fa!important; */
    background-color: #fff7dc !important;
    cursor: pointer;
}

.sh_bg_selDia{
    background-color: #ffeaa7 !important;
}

.sh_bg_selDiaActual{
    background-color: #ffeaa7 !important;
    font-weight: bold;
    text-shadow: 0 0 1px #333;
}



.sh_tm_fila>.sh_tm_reservas {
    position: absolute;
    display: flex;
    left: 0;
    border: none;
}

.sh_tm_fila>.sh_tm_reservas>a>div {
    position: absolute;
    border-radius: 1rem;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #fff;
    box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.05) !important                                                                    
}
.sh_tm_fila>.sh_tm_reservas>a>div:hover{
    border: .05rem solid rgba(0,0,0,0.5);
}

.sh_tm_fila>.sh_tm_reservas>a>div>.sh_nomCliente {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    margin-left: 0.5rem;
    font-weight: 500;
    font-size: 1rem}


/* FLECHAS */

.sh_flechas {
    top: 0;
    z-index: 3;
}

.sh_flechas>.sh_flechaInicio_Down {
    position: absolute;
    border-top-right-radius: 1rem;
    border-top: 0.2rem solid #636e72;
    border-right: 0.2rem solid #636e72;
    box-shadow: 5px 0px 5px 0px rgba(0, 0, 0, 0.05);
}

.sh_flechas>.sh_flechaInicio_Up {
    position: absolute;
    border-bottom-right-radius: 1rem;
    border-right: 0.2rem solid #636e72;
    border-bottom: 0.2rem solid #636e72;
    box-shadow: 5px 5px 5px 0px rgba(0, 0, 0, 0.05);
}

.sh_flechas>.sh_flechaCierre_Down {
    position: absolute;
    margin-left: -0.05rem;
    font-size: 50%;
    color: #636e72;
}

.sh_flechas>.sh_flechaCierre_Down>i {
    display: flex;
    align-items: center;
    margin-left: 0%;
    
}

.sh_flechas>.sh_flechaCierre_Up {
    position: absolute;
    margin-left: -0.05rem;
    font-size: 50%;
    color: #636e72;
}

.sh_flechas>.sh_flechaCierre_Up>i {
    display: flex;
    align-items: center;
    margin-left: 0%;
}


/********************************************************/

.sh_border_sel {
    border-color: #81ecec !important;
    color: #55efc4 !important;
    z-index: 99;
    font-size: 100% !important;
}

@media screen and (max-width: 900px) {
    .sh_tm_cabecera>.sh_tm_diasMes>div>span:nth-child(1) {
        display: none;
    }
    .sh_tm_superior_right{
        display: none !important;
    }
}


/* BARRA SUPERIOR - LEYENDAS*/
.sh_tm_superior{
    height: 3rem;
}

.sh_tm_s_leyenda{
    display: flex;
    padding: 0rem 1rem;
    /* border: .05rem solid #dfe6e9; */
    border-radius: 1.5rem;
    background-color: #f8f9fa!important;
    margin-left: 1rem;
    height: 3rem;
    align-items: center;
}
.sh_tm_s_color{
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 1.5rem;
    margin-right: .25rem;
}

.sh_s_sel_mes>a{
    cursor: pointer;
    color: inherit !important;
}

.sh_s_sel_mes:hover{
    background-color: #636e72 !important;
    color: #fff;
}

/*MODAL*/
/* 
.estadoHabI {
    background-color: #ff7675 !important;
} */

.sh_estadoHab_L {
    background-color: #74b9ff !important;
    ;
}

.sh_estadoHab_D {
    background-color: #55efc4 !important;
}

.sh_estadoHab_O {
    background-color: #ff7675 !important;
}

.sh_estadoHab_M {
    background-color: #b2bec3 !important;
}

.sh_estadoHab_R {
    background-color: #fdcb6e !important;
}



.sh_modal_nroHab {
    padding: 0.5rem 0;
    border-radius: 1rem;
    color:#fff;
}

.sh_spinner{
    position: absolute;
    width: inherit;
    height: inherit;
    background-color: #8f8f8f;
    z-index: 9999;
    opacity: 0.4;
    display: flex;
    align-items: center;
    justify-content: center;
}

.sh_top_cero{
    top: 0 !important;
    position: fixed !important;
}

/****COLORS***/

.sh_color_sel_cuadro{
    background-color: #fffaea !important;
}
